Bug 485857 - Add Vietnamese Unicode Glyph support to Liberation fonts
Add Vietnamese Unicode Glyph support to Liberation fonts
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: liberation-fonts (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Caius Chance
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-16 22:27 EST by Truong Xuan Tinh
Modified: 2009-07-01 23:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-01 00:24:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Vietnamese Unicode characters (103.38 KB, image/png)
2009-02-16 22:27 EST, Truong Xuan Tinh
no flags Details

  None (edit)
Description Truong Xuan Tinh 2009-02-16 22:27:15 EST
Created attachment 332166 [details]
Vietnamese Unicode characters

The Liberation fonts are missing the Vietnamese Unicode characters. I am not a typography geek so I don't know which group those characters belong to.
I attached a file to show all the unicode characters of Vietnamese in normal case and uppercase, I use Arial font for this.
Comment 1 Caius Chance 2009-02-22 23:08:56 EST
* Vietnamese Vowel Plus Tone Mark Combinations *

"A portion of this block (U+1EA0..U+1EF9) comprises vowel letters of the modern Vietnamese alphabet (quoc ngu) combined with a diacritic mark that denotes the phonemic tone that applies to the syllable. In the modern Vietnamese alphabet, there are 12 vowel letters and 5 tone marks." (The Unicode Consortium, "The Unicode Standard 4.0". Addison Wesley, US, 2003.)
Comment 2 Caius Chance 2009-02-22 23:10:59 EST
Currently I got no resources on this and my current skills level is not enough to deal with hintings from scratch.
Comment 3 Caius Chance 2009-06-30 23:01:11 EDT
Adding new glpyhs is currently not planned.
Comment 4 Truong Xuan Tinh 2009-07-01 00:24:11 EDT
I'm still on the way finding a good monospace font which fully support Vietnamese characters, 'cause I'm a programmer. Hope that Redhat will devote more resource to solve this problem. I will close this bug
Thanks anyway.
Comment 5 Caius Chance 2009-07-01 01:48:19 EDT
A possible solution I could think of, is you get a Vietnamese font and try to make it 'monospace' with fontforge. (Also, I am not knowledgeable enough to teach your the procedures.)

May be you could ask in ##fonts @ irc.freenode.net about how to make that.
Comment 6 Truong Xuan Tinh 2009-07-01 23:11:54 EDT
I'm sorry to say that Vietnamese does not have any serious font for programming. The only monospace font which fully support Vietnamese characters is Courier New (a Microsoft font), and Courier New is really uglier than Liberation Mono! That's why I filed this *bug* :)

Note You need to log in before you can comment on or make changes to this bug.